[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TCustomPropertyStorage.OnSavingProperties

Event handler signalled when the Save method is started.

## Declaration

Source position: propertystorage.pas line 169

`public property TCustomPropertyStorage.OnSavingProperties : TNotifyEvent read FOnSavingProperties write FOnSavingProperties;`

## Description

OnSavingProperties is a TNotifyEvent property with the event handler signalled when the Save method is started. It is signalled (when assigned) after the StorageNeeded method has been called, and before collection values in StoredValues are written using SaveProperties.